unit Child;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, PSetting;

type
  TfrmChild = class(TForm)
    frmsChild: TPFormSettings;
    Memo1: TMemo;
    dlgSave: TSaveDialog;
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    FileName : String;

    procedure Save;
    procedure Open;
  end;

implementation

{$R *.DFM}

procedure TfrmChild.FormShow(Sender: TObject);
begin
    { Restore from Stream }
    if ( FileName <> '' ) then
    begin
        Open;
    end;
end;

procedure TfrmChild.FormClose(Sender: TObject; var Action: TCloseAction);
begin
    { SaveToStream }
    if ( FileName = '' ) then
    begin
        if ( dlgSave.Execute = TRUE ) then
        begin
            FileName := dlgSave.FileName;
        end;
    end;

    if ( FileName <> '' ) then
    begin
        Save;
    end;

    Action := caFree;
end;

procedure TfrmChild.Save;
var
    tempStream : TFileStream;
begin
    if ( FileName <> '' ) then
    begin
        tempStream := TFileStream.Create( FileName, fmOpenWrite or fmCreate );
        try
            frmsChild.SaveToStream( tempStream, FileName );
        finally
            tempStream.Free;
        end;
    end;
end;

procedure TfrmChild.Open;
var
    tempStream : TFileStream;
begin
    if ( FileName <> '' ) then
    begin
        tempStream := TFileStream.Create( FileName, fmOpenRead );
        try
            frmsChild.RestoreFromStream( tempStream );
        finally
            tempStream.Free;
        end;
    end;
end;

procedure TfrmChild.FormCreate(Sender: TObject);
begin
    FileName := '';
end;

end.
