unit MDIMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  PSetting, Buttons, ExtCtrls, Menus;

type
  TfrmParent = class(TForm)
    MainMenu1: TMainMenu;
    mniFile: TMenuItem;
    mniFileOpen: TMenuItem;
    mniFileSave: TMenuItem;
    N1: TMenuItem;
    mniFileExit: TMenuItem;
    mniHelp: TMenuItem;
    mniHelpAbout: TMenuItem;
    mniFileReopen: TMenuItem;
    Panel1: TPanel;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    frmsMain: TPFormSettings;
    mniFileNew: TMenuItem;
    dlgOpen: TOpenDialog;
    mniView: TMenuItem;
    mniViewOptions: TMenuItem;
    procedure mniFileNewClick(Sender: TObject);
    procedure mniFileOpenClick(Sender: TObject);
    procedure mniFileSaveClick(Sender: TObject);
    procedure frmsMainMRUClick(Sender: TObject; MenuItem: TMenuItem;
      FileName: string; MRUIndex: Integer);
    procedure mniHelpAboutClick(Sender: TObject);
    procedure mniViewOptionsClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmParent: TfrmParent;

implementation

uses Child, About, Options;

{$R *.DFM}

procedure TfrmParent.mniFileNewClick(Sender: TObject);
var
    tempFrm : TfrmChild;
begin
    tempFrm := TfrmChild.Create( Application );
end;

procedure TfrmParent.mniFileOpenClick(Sender: TObject);
var
    tempFrm : TfrmChild;
begin
    if ( dlgOpen.Execute = TRUE ) then
    begin
        tempFrm := TfrmChild.Create( Application );
        tempFrm.FileName := dlgOpen.FileName;
        tempFrm.Open;
    end;
end;

procedure TfrmParent.mniFileSaveClick(Sender: TObject);
begin
    TfrmChild( ActiveMDIChild ).Save;
end;

procedure TfrmParent.frmsMainMRUClick(Sender: TObject; MenuItem: TMenuItem;
  FileName: string; MRUIndex: Integer);
var
    tempFrm : TfrmChild;
begin
    tempFrm := TfrmChild.Create( Application );
    tempFrm.FileName := FileName;
    tempFrm.Open;
end;

procedure TfrmParent.mniHelpAboutClick(Sender: TObject);
begin
    frmAbout.ShowModal;
end;

procedure TfrmParent.mniViewOptionsClick(Sender: TObject);
begin
    frmOptions.ShowModal;
end;

end.
